[vim] push changes to repository before build

Karsten Hopp karsten at fedoraproject.org
Thu Sep 30 14:37:23 UTC 2010


commit bba8e96a45fd2f21ae41df4eaf079a5c04dae079
Author: Karsten Hopp <karsten at redhat.com>
Date:   Thu Sep 30 16:36:37 2010 +0200

    push changes to repository before build

 vim-update.sh |   11 ++++++++---
 1 files changed, 8 insertions(+), 3 deletions(-)
---
diff --git a/vim-update.sh b/vim-update.sh
index fca1a9b..dd8c34b 100755
--- a/vim-update.sh
+++ b/vim-update.sh
@@ -48,6 +48,11 @@ sed -i -e "/\%changelog/a$CHLOG.$PLFILLED-1\n- patchlevel $PLFILLED\n" $SPEC
 wget ftp://ftp.vim.org/pub/vim/patches/$MAJORVERSION/README -O README.patches
 $debug git add vim.spec README.patches
 $debug git commit -m "- patchlevel $PL" 
-$debug rm -f $HOME/.koji/config
-$debug fedpkg build
-$debug ln -sf $HOME/.koji/s390-config config
+$debug git push
+if [ $? -eq 0 ]; then
+    $debug rm -f $HOME/.koji/config
+    $debug fedpkg build
+    $debug ln -sf $HOME/.koji/s390-config config
+else
+    echo "GIT push failed"
+fi


More information about the scm-commits mailing list